Bug 128176 - Add the 3w-9xxx module (required for the 9000 series 3ware cards)
Add the 3w-9xxx module (required for the 9000 series 3ware cards)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam "mantis" Manthei
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-19 13:19 EDT by Kostas Georgiou
Modified: 2007-11-30 17:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 09:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostas Georgiou 2004-07-19 13:19:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.15

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1) Add a 3ware 9000 card in your server.
2) Try to use it.


Actual Results:  No module available.

Expected Results:  3w-9xxx should be available.

Additional info:
Comment 1 Ernie Petrides 2004-07-22 19:06:27 EDT
This is a feature request, not a bug.
Comment 2 Kostas Georgiou 2004-07-22 21:01:00 EDT
Well it was reported as an enhancement :) 
Actually i should have had the priority set to low as well, it's now really critical.
Comment 3 Suzanne Hillman 2004-07-27 14:13:31 EDT
Interal RFE bug #128651 entered; will be considered for future releases.
Comment 4 Nate Faerber 2004-10-04 14:04:53 EDT
3w-9xxx is not included in Update 3.  Are there any updates as to when
this is expected to get added?

Suzanne or Ernie, will you be updating this bug report regarding the
progress of the RFE?
Comment 6 Marty Shannon 2005-02-15 15:40:44 EST
3w-9xxx is not included in Update 4, either.  This is a drop-dead
issue for me, as we cannot move to RHEL4.  I'm rather astounded that
RedHat has been unable to add this driver in the past 6 months. 
Additionally, since installing the kernel-source RPM does not populate
/usr/src/linux, none of the instructions at the 3ware site (where they
have driver source available) can work.
Comment 7 Ernie Petrides 2005-02-19 05:22:17 EST
The 3ware 3w-9xxx driver has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.16.EL).
Comment 9 Tim Powers 2005-05-18 09:27:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html
Comment 10 Andrew Gormanly 2005-08-04 13:38:04 EDT
I'd like to re-open this bug report: the version of the driver included in this
erratum is 9.0.2, which is dated 10th June 2004.

There are 2 newer versions, 9.1.5.2 (9th November 2004) and 9.2 (2nd March 2005)
which both pre-date the errata release from May.  The latest version (9.2) is in
the kernel in RHEL4 (2.6.9-11.EL), so I don't understand why the first commit to
RHEL3 is so old.

Because the version of the driver in RHEL3 does not support the Escalade 9500,
I'm prevented from removing the SuSE install on our new server and replacing it
with Red Hat!  Unfortunately, I can't use 4 for this machine.  Please can we
have this driver updated to the same version as in RHEL4?
Comment 11 Kostas Georgiou 2005-08-05 05:47:33 EDT
It's probably best to fill a new bug report for the problem.

Note You need to log in before you can comment on or make changes to this bug.